%define gnome_libdir %_libdir
%define gnome_mimedir %_datadir/mime

Name: phatch
Version: 0.1.5
Release: alt1.1
%setup_python_module %name
Summary:  Easy-to-use graphical photo batch processor and EXIF renamer
Source: http://sd-2986.dedibox.fr/photobatch/download/package/%name-%version.tar.gz
Patch: %name-0.1.5-alt-PIL.patch
Url: http://photobatch.stani.be/
Group: Graphics
License: GPL v3
Packager: Fr. Br. George <george@altlinux.ru>
Buildarch: noarch
Requires: %packagename = %version

# Automatically added by buildreq on Sat Nov 01 2008
BuildRequires: python-devel python-modules-encodings desktop-file-utils
%add_python_req_skip core

%description
Phatch is a simple to use cross-platform graphical Photo Batch Processor and Exif Renamer with a nice graphical user interface. Phatch handles all popular image formats and can duplicate (sub)folder hierarchies. Phatch can batch resize, rotate, apply shadows, perspective, rounded corners,  and do much more actions in minutes instead of hours or days if you do it manually.

%package -n %packagename
Group: Graphics
Summary: Phatch python API module
%description -n %packagename
Phatch is a simple to use cross-platform graphical Photo Batch Processor and Exif Renamer with a nice graphical user interface. Phatch handles all popular image formats and can duplicate (sub)folder hierarchies. Phatch can batch resize, rotate, apply shadows, perspective, rounded corners,  and do much more actions in minutes instead of hours or days if you do it manually.

This package provides Python API modiule for Phatch.

%prep
%setup -q
%patch -p1

%build
python ./setup.py build

%install
python ./setup.py install --prefix="%prefix" --root="%buildroot"

sed -i '\|^$|d' %buildroot%_desktopdir/%name.desktop

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--dir %buildroot%_desktopdir\
	 %buildroot%_desktopdir/%name.desktop

%find_lang %name

%clean
rm -rf "%buildroot"

%files -f %name.lang
%doc AUTHORS COPYING README
%_bindir/%name
%_desktopdir/%name.desktop
%_iconsdir/*/*/apps/%name.*
%doc %_man1dir/%name.1*
%gnome_mimedir/packages/%name.xml
%dir %_datadir/%name
%dir %_datadir/%name/actionlists
%_datadir/%name/actionlists/*.%name
%doc %_datadir/%name/docs
%dir %_datadir/%name/images
%_datadir/%name/images/*.png
%_datadir/%name/images/*.svg
%dir %_datadir/%name/images/masks
%_datadir/%name/images/masks/*.jpg
%_datadir/pixmaps/%name.png

%files -n %packagename
%python_sitelibdir/%name
%python_sitelibdir/Phatch-0.1.5-py*.egg-info

%changelog
* Wed Nov 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.1.5-alt1.1
- Rebuilt with python 2.6

* Sat Nov 01 2008 Fr. Br. George <george@altlinux.ru> 0.1.5-alt1
- Initial build from pclos
- Version up

* Thu Sep 11 2008 Neverstopdreaming 0.1.4.bzr526-2
- Rebuild

* Thu May 26 2008 Stumpy842 <stump842@gmail.com> 0.1.4bzr526-1
- Import for pclos
